# Class NotesController < ProjectResourceController

- app/controllers/notes_controller.rb

Methods

C
  - create
D
  - destroy
I
  - index
N
  - notes
P
  - preview

Instance Public methods
create() Link

Source: show

    # File app/controllers/notes_controller.rb, line 18
    def create
      @note = Notes::CreateContext.new(project, current_user, params).execute

      respond_to do |format|
        format.html {redirect_to :back}
        format.js
      end
    end

destroy() Link

Source: show

    # File app/controllers/notes_controller.rb, line 27
    def destroy
      @note = @project.notes.find(params[:id])
      return access_denied! unless can?(current_user, :admin_note, @note)
      @note.destroy

      respond_to do |format|
        format.js { render nothing: true }
      end
    end

index() Link

Source: show

    # File app/controllers/notes_controller.rb, line 8
    def index
      notes
      if params[:target_type] == "merge_request"
        @mixed_targets = true
        @main_target_type = params[:target_type].camelize
      end

      respond_with(@notes)
    end

preview() Link

Source: show

    # File app/controllers/notes_controller.rb, line 37
    def preview
      render text: view_context.markdown(params[:note])
    end

Instance Protected methods
notes() Link

Source: show

    # File app/controllers/notes_controller.rb, line 43
    def notes
      @notes = Notes::LoadContext.new(project, current_user, params).execute
    end